<?php
/*
Plugin Name: GoStats Refreshed
Plugin URI: http://wordpress.org/extend/plugins/gostats-refreshed/
Description: Adds gostats tracking to your blog using their newest coding technique.
Author: iarp
Version: 1.5
*/




add_action('admin_menu','gostats_refreshed_admin');
add_action('wp_footer','gostats_refreshed_getcode');

function gostats_refreshed_admin() {
	if ( function_exists('add_submenu_page') ) {
		add_options_page('GoStats', 'GoStats Options', 9, basename(__FILE__), 'gostats_refreshed_manage');
	}
}

function gostats_refreshed_manage(){
	if (isset($_POST['gostats_siteid'])) {
		update_option('gostats_siteid', $_POST['gostats_siteid']);
		update_option('gostats_server', substr($_POST['gostats_server'],0,7));
		echo '<div class="updated"><p><strong>Options saved</strong></p></div>';
	}

	$gostats_siteid = get_option('gostats_siteid');
	$gostats_server = get_option('gostats_server');

	?>
	<div class="wrap">
		<h2>GoStats Options</h2>
		<form name="form1" method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>">
			Enter the Site ID:<br />
			<input type="text" name="gostats_siteid" value="<?php echo stripslashes($gostats_siteid);?>">
			<br /><br />	
			
			Enter the GoStats server below:<br />
			<input type="text" name="gostats_server" value="<?php echo stripslashes($gostats_server);?>"> (c1, monster, c3 or c4)<br /><br />

			You can find the server by going to "View stats" on your <a href="http://gostats.com/my_sites.xml" target="_blank">sites profile</a>, and looking at the URL you have been sent to.<br />
			The server you need to enter is the first word (i.e. monster.gostats.com, select "monster").
		<?php
			$gostats_siteid = get_option('gostats_siteid');
			$gostats_server = get_option('gostats_server');
		?>
			<p class="submit">
				<input type="submit" name="Submit" value="Update Options &raquo;" />
			</p>
		</form>
	</div>
	<?php
}

function gostats_refreshed_getcode() {
	global $gostats_siteid;
	global $gostats_server;

	$gostats_siteid = get_option('gostats_siteid');
	$gostats_server = get_option('gostats_server');

	if (!empty($gostats_siteid)) {
		echo "<!-- GoStats JavaScript Based Code -->
		<script type=\"text/javascript\" src=\"http://gostats.com/js/counter.js\"></script>
		<script type=\"text/javascript\">_gos='" . urlencode($gostats_server) . ".gostats.com';_goa=".urlencode($gostats_siteid).";
		_got=5;_goi=1;_gol='website monitoring';_GoStatsRun();</script>
		<noscript><a target=\"_blank\" title=\"website monitoring\" 
		href=\"http://gostats.com\"><img alt=\"website monitoring\" 
		src=\"http://".urlencode($gostats_server).".gostats.com/bin/count/a_".urlencode($gostats_siteid)."/t_5/i_1/counter.png\" 
		style=\"border-width:0\" /></a></noscript>
		<!-- End GoStats JavaScript Based Code -->";
	}
}

?>
